Skip to main content
GET
List Checks

Authorizations

Authorization
string
header
required

OAuth2 access token obtained from POST /api/oauth/token/ using client credentials.

Query Parameters

case_id
integer

Filter by case ID

check_type
enum<string>

Filter by check type

Available options:
ADVERSE_MEDIA,
BLACKLIST,
FINANCIAL_STATEMENTS,
IDV,
INCORPORATION_DOC,
PEP,
PROOF_OF_ADDRESS,
PROOF_OF_FUNDS,
SANCTION,
SIGNATURE_AUTH,
THREE_MONTHS_BANK_STATEMENT,
TRANSACTION_MONITORING,
UBO_RESOLUTION,
UNDERWRITING,
WEB_PRESENCE
max_risk_score
number<float>

Maximum risk score

min_risk_score
number<float>

Minimum risk score

outcome
enum<string>

Filter by outcome

Available options:
ACCEPTED,
PENDING,
REJECTED
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"